This discussion is archived
3 Replies Latest reply: May 14, 2013 12:40 PM by Christian.Shay - Oracle RSS

Installing Oracle Developer Tools

705134 Newbie
Currently Being Moderated
I have a client machine with Visual Studio 2012 and I wish to install Oracle Developer Tools because I want to use Entity Framework in order to generate database first classes from my Oracle 11.2.0.3 database that I can use to access the underlying database content.

I have found the ODAC 11.2 Release 5 with Oracle Developer Tools for Visual Tools installation bits. I can install this and it works.

The issue I have is that my machine already has Oracle Instant Client and ODAC (XCopy) installed but the above installer seems to insist on installing all of this again somewhere else. My question is whether or not it is possible to just install Oracle Developer Tools.
  • 1. Re: Installing Oracle Developer Tools
    Christian.Shay - Oracle Pro
    Currently Being Moderated
    user3258784 wrote:
    I have a client machine with Visual Studio 2012 and I wish to install Oracle Developer Tools because I want to use Entity Framework in order to generate database first classes from my Oracle 11.2.0.3 database that I can use to access the underlying database content.

    I have found the ODAC 11.2 Release 5 with Oracle Developer Tools for Visual Tools installation bits. I can install this and it works.

    The issue I have is that my machine already has Oracle Instant Client and ODAC (XCopy) installed but the above installer seems to insist on installing all of this again somewhere else. My question is whether or not it is possible to just install Oracle Developer Tools.
    ODT has dependencies on a specific version of ODP.NET and a specific version of instant client. If you do not already have those specific versions installed you will have to allow it to create a "new Oracle home" (a new location).

    If you are afraid that this install will break existing apps, then you can remove the ODP.NET policy DLLs from the GAC to prevent old apps from picking up the new ODP.NET.

    Multiple versions of ODP.NET can live on the same machine.
  • 2. Re: Installing Oracle Developer Tools
    705134 Newbie
    Currently Being Moderated
    I did have version 11.2.0.2 of the Instant Client "installed" so I removed that and "installed" 11.2.0.3.

    It did not seem to help in that the Oracle Universal Installer is still insisting that Instant Client must be installed.

    How do I tell OUI that it is already "installed".

    I have 11.2.0.3 of Oracle.DataAccess (ODP.NET) in the GAC for both x86 and x64. I also registered this with machine.config using OraProvCfg.exe.

    It did not seem to help in that the OUI is still insisting that ODP.NET must be installed.

    What I am trying to do is to stick with XCopy type deployments because this is what my customers use.

    I do understand that I can install additional instances of this (side-by-side) on the machine but it seems rather confusing to do so when they are the same.

    Is there some 'trick' that I can use to install just the Oracle Developer Tools? Maybe bypass the Oracle Universal Installer?
  • 3. Re: Installing Oracle Developer Tools
    Christian.Shay - Oracle Pro
    Currently Being Moderated
    I think you are asking:

    "Can I install an OUI (Oracle Universal Installer) 11.2.0.3 install into the same location where I have installed an XCOPY 11.2.0.3 release?"

    If that is your question, the answer is no. If a product is OUI only, like ODT is, you must install it into a formal OUI Oracle home. You cannot install it into a XCOPY install location.

    Aside from the additional space required, this should not have an impact.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points